View a Card Registration
Authentication
Path parameters
Response
Custom data that can be added to this object. In the case of the Card Registration, this parameter can be used to facilitate the link between the User object and its equivalent on your platform for instance. This value will be inherited by the Card object Tag parameter and will not be editable.
Unix timestamp (UTC) of the date and time the object was created.
The string returned by the tokenization server, which must be sent in full as the RegistrationData on the PUT Update a Card Registration endpoint to create the Card object.
The unique identifier of the Card object, which is returned after updating the Card Registration object with the RegistrationData.
Returned values: CB_VISA_MASTERCARD, AMEX, MAESTRO, BCMC
Default value: CB_VISA_MASTERCARD
The type of the card. If not supplied, the default value will be taken into account.
The URL to make the card tokenization call.
Caution: This variable URL is specific to each card registration. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).
The currency of the card.
Returned values: CREATED, VALIDATED, ERROR
The status of the card registration:
CREATED– The card registration has been created, but noRegistrationDatahas been entered yet and theCardIdvalue isnull.VALIDATED– The card registration has been successfully updated with theRegistrationDatafrom the tokenization server.ERROR– The card registration couldn’t be updated with theRegistrationDataand noCardIdwas generated. For more information, refer to theResultCode(105206, 105299) andResultMessage.